/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateLocationEfsInput } from "../types/CreateLocationEfsInput";
import { CreateLocationEfsOutput } from "../types/CreateLocationEfsOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/CreateLocationEfsInput";
export * from "../types/CreateLocationEfsOutput";
export * from "../types/CreateLocationEfsExceptionsUnion";
export declare class CreateLocationEfsCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateLocationEfsInput, OutputTypesUnion, CreateLocationEfsOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: CreateLocationEfsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateLocationEfsInput, CreateLocationEfsOutput, _stream.Readable>;
    constructor(input: CreateLocationEfsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<CreateLocationEfsInput, CreateLocationEfsOutput>;
}
