"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLocationNfs_1 = require("../model/operations/CreateLocationNfs");
var CreateLocationNfsCommand = /** @class */ (function () {
    function CreateLocationNfsCommand(input) {
        this.input = input;
        this.model = CreateLocationNfs_1.CreateLocationNfs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLocationNfsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLocationNfsCommand;
}());
exports.CreateLocationNfsCommand = CreateLocationNfsCommand;
//# sourceMappingURL=CreateLocationNfsCommand.js.map