/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteAgentInput } from "../types/DeleteAgentInput";
import { DeleteAgentOutput } from "../types/DeleteAgentOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/DeleteAgentInput";
export * from "../types/DeleteAgentOutput";
export * from "../types/DeleteAgentExceptionsUnion";
export declare class DeleteAgentCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteAgentInput, OutputTypesUnion, DeleteAgentOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteAgentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteAgentInput, DeleteAgentOutput, _stream.Readable>;
    constructor(input: DeleteAgentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<DeleteAgentInput, DeleteAgentOutput>;
}
