/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteLocationInput } from "../types/DeleteLocationInput";
import { DeleteLocationOutput } from "../types/DeleteLocationOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/DeleteLocationInput";
export * from "../types/DeleteLocationOutput";
export * from "../types/DeleteLocationExceptionsUnion";
export declare class DeleteLocationCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteLocationInput, OutputTypesUnion, DeleteLocationOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteLocationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteLocationInput, DeleteLocationOutput, _stream.Readable>;
    constructor(input: DeleteLocationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<DeleteLocationInput, DeleteLocationOutput>;
}
