/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeLocationEfsInput } from "../types/DescribeLocationEfsInput";
import { DescribeLocationEfsOutput } from "../types/DescribeLocationEfsOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/DescribeLocationEfsInput";
export * from "../types/DescribeLocationEfsOutput";
export * from "../types/DescribeLocationEfsExceptionsUnion";
export declare class DescribeLocationEfsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeLocationEfsInput, OutputTypesUnion, DescribeLocationEfsOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeLocationEfsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeLocationEfsInput, DescribeLocationEfsOutput, _stream.Readable>;
    constructor(input: DescribeLocationEfsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<DescribeLocationEfsInput, DescribeLocationEfsOutput>;
}
