"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeLocationNfs_1 = require("../model/operations/DescribeLocationNfs");
var DescribeLocationNfsCommand = /** @class */ (function () {
    function DescribeLocationNfsCommand(input) {
        this.input = input;
        this.model = DescribeLocationNfs_1.DescribeLocationNfs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeLocationNfsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeLocationNfsCommand;
}());
exports.DescribeLocationNfsCommand = DescribeLocationNfsCommand;
//# sourceMappingURL=DescribeLocationNfsCommand.js.map