/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListAgentsInput } from "../types/ListAgentsInput";
import { ListAgentsOutput } from "../types/ListAgentsOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/ListAgentsInput";
export * from "../types/ListAgentsOutput";
export * from "../types/ListAgentsExceptionsUnion";
export declare class ListAgentsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListAgentsInput, OutputTypesUnion, ListAgentsOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: ListAgentsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListAgentsInput, ListAgentsOutput, _stream.Readable>;
    constructor(input: ListAgentsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<ListAgentsInput, ListAgentsOutput>;
}
