"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListLocations_1 = require("../model/operations/ListLocations");
var ListLocationsCommand = /** @class */ (function () {
    function ListLocationsCommand(input) {
        this.input = input;
        this.model = ListLocations_1.ListLocations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListLocationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListLocationsCommand;
}());
exports.ListLocationsCommand = ListLocationsCommand;
//# sourceMappingURL=ListLocationsCommand.js.map