"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateLocationNfsInput_1 = require("../shapes/CreateLocationNfsInput");
var CreateLocationNfsOutput_1 = require("../shapes/CreateLocationNfsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLocationNfs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLocationNfs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLocationNfsInput_1.CreateLocationNfsInput
    },
    output: {
        shape: CreateLocationNfsOutput_1.CreateLocationNfsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=CreateLocationNfs.js.map