"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateLocationS3Input_1 = require("../shapes/CreateLocationS3Input");
var CreateLocationS3Output_1 = require("../shapes/CreateLocationS3Output");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLocationS3 = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLocationS3",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLocationS3Input_1.CreateLocationS3Input
    },
    output: {
        shape: CreateLocationS3Output_1.CreateLocationS3Output
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=CreateLocationS3.js.map