"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateTaskInput_1 = require("../shapes/CreateTaskInput");
var CreateTaskOutput_1 = require("../shapes/CreateTaskOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateTaskInput_1.CreateTaskInput
    },
    output: {
        shape: CreateTaskOutput_1.CreateTaskOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=CreateTask.js.map