"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteLocationInput_1 = require("../shapes/DeleteLocationInput");
var DeleteLocationOutput_1 = require("../shapes/DeleteLocationOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteLocation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteLocation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteLocationInput_1.DeleteLocationInput
    },
    output: {
        shape: DeleteLocationOutput_1.DeleteLocationOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DeleteLocation.js.map