"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeLocationNfsInput_1 = require("../shapes/DescribeLocationNfsInput");
var DescribeLocationNfsOutput_1 = require("../shapes/DescribeLocationNfsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLocationNfs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLocationNfs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLocationNfsInput_1.DescribeLocationNfsInput
    },
    output: {
        shape: DescribeLocationNfsOutput_1.DescribeLocationNfsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeLocationNfs.js.map