"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTaskInput_1 = require("../shapes/DescribeTaskInput");
var DescribeTaskOutput_1 = require("../shapes/DescribeTaskOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTaskInput_1.DescribeTaskInput
    },
    output: {
        shape: DescribeTaskOutput_1.DescribeTaskOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeTask.js.map