"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTaskExecutionInput_1 = require("../shapes/DescribeTaskExecutionInput");
var DescribeTaskExecutionOutput_1 = require("../shapes/DescribeTaskExecutionOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTaskExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTaskExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTaskExecutionInput_1.DescribeTaskExecutionInput
    },
    output: {
        shape: DescribeTaskExecutionOutput_1.DescribeTaskExecutionOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeTaskExecution.js.map