"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListAgentsInput_1 = require("../shapes/ListAgentsInput");
var ListAgentsOutput_1 = require("../shapes/ListAgentsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListAgents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListAgents",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListAgentsInput_1.ListAgentsInput
    },
    output: {
        shape: ListAgentsOutput_1.ListAgentsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListAgents.js.map