"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListLocationsInput_1 = require("../shapes/ListLocationsInput");
var ListLocationsOutput_1 = require("../shapes/ListLocationsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListLocations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListLocations",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListLocationsInput_1.ListLocationsInput
    },
    output: {
        shape: ListLocationsOutput_1.ListLocationsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListLocations.js.map