"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTaskExecutionsInput_1 = require("../shapes/ListTaskExecutionsInput");
var ListTaskExecutionsOutput_1 = require("../shapes/ListTaskExecutionsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTaskExecutions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTaskExecutions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTaskExecutionsInput_1.ListTaskExecutionsInput
    },
    output: {
        shape: ListTaskExecutionsOutput_1.ListTaskExecutionsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListTaskExecutions.js.map