"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTasksInput_1 = require("../shapes/ListTasksInput");
var ListTasksOutput_1 = require("../shapes/ListTasksOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTasks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTasks",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTasksInput_1.ListTasksInput
    },
    output: {
        shape: ListTasksOutput_1.ListTasksOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListTasks.js.map