"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartTaskExecutionInput_1 = require("../shapes/StartTaskExecutionInput");
var StartTaskExecutionOutput_1 = require("../shapes/StartTaskExecutionOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartTaskExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartTaskExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartTaskExecutionInput_1.StartTaskExecutionInput
    },
    output: {
        shape: StartTaskExecutionOutput_1.StartTaskExecutionOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=StartTaskExecution.js.map