"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TagList_1 = require("./_TagList");
var _PLSubnetArnList_1 = require("./_PLSubnetArnList");
var _PLSecurityGroupArnList_1 = require("./_PLSecurityGroupArnList");
exports.CreateAgentInput = {
    type: "structure",
    required: ["ActivationKey"],
    members: {
        ActivationKey: {
            shape: {
                type: "string"
            }
        },
        AgentName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        VpcEndpointId: {
            shape: {
                type: "string"
            }
        },
        SubnetArns: {
            shape: _PLSubnetArnList_1._PLSubnetArnList
        },
        SecurityGroupArns: {
            shape: _PLSecurityGroupArnList_1._PLSecurityGroupArnList
        }
    }
};
//# sourceMappingURL=CreateAgentInput.js.map