"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _OnPremConfig_1 = require("./_OnPremConfig");
var _NfsMountOptions_1 = require("./_NfsMountOptions");
var _TagList_1 = require("./_TagList");
exports.CreateLocationNfsInput = {
    type: "structure",
    required: ["Subdirectory", "ServerHostname", "OnPremConfig"],
    members: {
        Subdirectory: {
            shape: {
                type: "string"
            }
        },
        ServerHostname: {
            shape: {
                type: "string"
            }
        },
        OnPremConfig: {
            shape: _OnPremConfig_1._OnPremConfig
        },
        MountOptions: {
            shape: _NfsMountOptions_1._NfsMountOptions
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateLocationNfsInput.js.map