/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CancelTaskExecutionInput } from "../types/CancelTaskExecutionInput";
import { CancelTaskExecutionOutput } from "../types/CancelTaskExecutionOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/CancelTaskExecutionInput";
export * from "../types/CancelTaskExecutionOutput";
export * from "../types/CancelTaskExecutionExceptionsUnion";
export declare class CancelTaskExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, CancelTaskExecutionInput, OutputTypesUnion, CancelTaskExecutionOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: CancelTaskExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CancelTaskExecutionInput, CancelTaskExecutionOutput, _stream.Readable>;
    constructor(input: CancelTaskExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<CancelTaskExecutionInput, CancelTaskExecutionOutput>;
}
