"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLocationEfs_1 = require("../model/operations/CreateLocationEfs");
var CreateLocationEfsCommand = /** @class */ (function () {
    function CreateLocationEfsCommand(input) {
        this.input = input;
        this.model = CreateLocationEfs_1.CreateLocationEfs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLocationEfsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLocationEfsCommand;
}());
exports.CreateLocationEfsCommand = CreateLocationEfsCommand;
//# sourceMappingURL=CreateLocationEfsCommand.js.map