/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateLocationS3Input } from "../types/CreateLocationS3Input";
import { CreateLocationS3Output } from "../types/CreateLocationS3Output";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/CreateLocationS3Input";
export * from "../types/CreateLocationS3Output";
export * from "../types/CreateLocationS3ExceptionsUnion";
export declare class CreateLocationS3Command implements __aws_sdk_types.Command<InputTypesUnion, CreateLocationS3Input, OutputTypesUnion, CreateLocationS3Output, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: CreateLocationS3Input;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateLocationS3Input, CreateLocationS3Output, _stream.Readable>;
    constructor(input: CreateLocationS3Input);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<CreateLocationS3Input, CreateLocationS3Output>;
}
