/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeTaskExecutionInput } from "../types/DescribeTaskExecutionInput";
import { DescribeTaskExecutionOutput } from "../types/DescribeTaskExecutionOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/DescribeTaskExecutionInput";
export * from "../types/DescribeTaskExecutionOutput";
export * from "../types/DescribeTaskExecutionExceptionsUnion";
export declare class DescribeTaskExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeTaskExecutionInput, OutputTypesUnion, DescribeTaskExecutionOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeTaskExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeTaskExecutionInput, DescribeTaskExecutionOutput, _stream.Readable>;
    constructor(input: DescribeTaskExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<DescribeTaskExecutionInput, DescribeTaskExecutionOutput>;
}
