/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListLocationsInput } from "../types/ListLocationsInput";
import { ListLocationsOutput } from "../types/ListLocationsOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/ListLocationsInput";
export * from "../types/ListLocationsOutput";
export * from "../types/ListLocationsExceptionsUnion";
export declare class ListLocationsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListLocationsInput, OutputTypesUnion, ListLocationsOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: ListLocationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListLocationsInput, ListLocationsOutput, _stream.Readable>;
    constructor(input: ListLocationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<ListLocationsInput, ListLocationsOutput>;
}
