/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTasksInput } from "../types/ListTasksInput";
import { ListTasksOutput } from "../types/ListTasksOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/ListTasksInput";
export * from "../types/ListTasksOutput";
export * from "../types/ListTasksExceptionsUnion";
export declare class ListTasksCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTasksInput, OutputTypesUnion, ListTasksOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: ListTasksInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTasksInput, ListTasksOutput, _stream.Readable>;
    constructor(input: ListTasksInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<ListTasksInput, ListTasksOutput>;
}
