/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartTaskExecutionInput } from "../types/StartTaskExecutionInput";
import { StartTaskExecutionOutput } from "../types/StartTaskExecutionOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/StartTaskExecutionInput";
export * from "../types/StartTaskExecutionOutput";
export * from "../types/StartTaskExecutionExceptionsUnion";
export declare class StartTaskExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, StartTaskExecutionInput, OutputTypesUnion, StartTaskExecutionOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: StartTaskExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartTaskExecutionInput, StartTaskExecutionOutput, _stream.Readable>;
    constructor(input: StartTaskExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<StartTaskExecutionInput, StartTaskExecutionOutput>;
}
