"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CancelTaskExecutionInput_1 = require("../shapes/CancelTaskExecutionInput");
var CancelTaskExecutionOutput_1 = require("../shapes/CancelTaskExecutionOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CancelTaskExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CancelTaskExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CancelTaskExecutionInput_1.CancelTaskExecutionInput
    },
    output: {
        shape: CancelTaskExecutionOutput_1.CancelTaskExecutionOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=CancelTaskExecution.js.map