"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateAgentInput_1 = require("../shapes/CreateAgentInput");
var CreateAgentOutput_1 = require("../shapes/CreateAgentOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateAgent = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateAgent",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateAgentInput_1.CreateAgentInput
    },
    output: {
        shape: CreateAgentOutput_1.CreateAgentOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=CreateAgent.js.map