"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateLocationEfsInput_1 = require("../shapes/CreateLocationEfsInput");
var CreateLocationEfsOutput_1 = require("../shapes/CreateLocationEfsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLocationEfs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLocationEfs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLocationEfsInput_1.CreateLocationEfsInput
    },
    output: {
        shape: CreateLocationEfsOutput_1.CreateLocationEfsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=CreateLocationEfs.js.map