"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteAgentInput_1 = require("../shapes/DeleteAgentInput");
var DeleteAgentOutput_1 = require("../shapes/DeleteAgentOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAgent = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAgent",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteAgentInput_1.DeleteAgentInput
    },
    output: {
        shape: DeleteAgentOutput_1.DeleteAgentOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DeleteAgent.js.map