"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteTaskInput_1 = require("../shapes/DeleteTaskInput");
var DeleteTaskOutput_1 = require("../shapes/DeleteTaskOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteTaskInput_1.DeleteTaskInput
    },
    output: {
        shape: DeleteTaskOutput_1.DeleteTaskOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DeleteTask.js.map