"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeAgentInput_1 = require("../shapes/DescribeAgentInput");
var DescribeAgentOutput_1 = require("../shapes/DescribeAgentOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeAgent = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeAgent",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeAgentInput_1.DescribeAgentInput
    },
    output: {
        shape: DescribeAgentOutput_1.DescribeAgentOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeAgent.js.map