"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeLocationEfsInput_1 = require("../shapes/DescribeLocationEfsInput");
var DescribeLocationEfsOutput_1 = require("../shapes/DescribeLocationEfsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLocationEfs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLocationEfs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLocationEfsInput_1.DescribeLocationEfsInput
    },
    output: {
        shape: DescribeLocationEfsOutput_1.DescribeLocationEfsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeLocationEfs.js.map