"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeLocationS3Input_1 = require("../shapes/DescribeLocationS3Input");
var DescribeLocationS3Output_1 = require("../shapes/DescribeLocationS3Output");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLocationS3 = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLocationS3",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLocationS3Input_1.DescribeLocationS3Input
    },
    output: {
        shape: DescribeLocationS3Output_1.DescribeLocationS3Output
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeLocationS3.js.map