"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateAgentInput_1 = require("../shapes/UpdateAgentInput");
var UpdateAgentOutput_1 = require("../shapes/UpdateAgentOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateAgent = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateAgent",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateAgentInput_1.UpdateAgentInput
    },
    output: {
        shape: UpdateAgentOutput_1.UpdateAgentOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=UpdateAgent.js.map