"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateTaskInput_1 = require("../shapes/UpdateTaskInput");
var UpdateTaskOutput_1 = require("../shapes/UpdateTaskOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateTaskInput_1.UpdateTaskInput
    },
    output: {
        shape: UpdateTaskOutput_1.UpdateTaskOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=UpdateTask.js.map