"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Options_1 = require("./_Options");
var _FilterList_1 = require("./_FilterList");
var _TagList_1 = require("./_TagList");
exports.CreateTaskInput = {
    type: "structure",
    required: ["SourceLocationArn", "DestinationLocationArn"],
    members: {
        SourceLocationArn: {
            shape: {
                type: "string"
            }
        },
        DestinationLocationArn: {
            shape: {
                type: "string"
            }
        },
        CloudWatchLogGroupArn: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Options: {
            shape: _Options_1._Options
        },
        Excludes: {
            shape: _FilterList_1._FilterList
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateTaskInput.js.map