"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PrivateLinkConfig_1 = require("./_PrivateLinkConfig");
exports.DescribeAgentOutput = {
    type: "structure",
    required: [],
    members: {
        AgentArn: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        LastConnectionTime: {
            shape: {
                type: "timestamp"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndpointType: {
            shape: {
                type: "string"
            }
        },
        PrivateLinkConfig: {
            shape: _PrivateLinkConfig_1._PrivateLinkConfig
        }
    }
};
//# sourceMappingURL=DescribeAgentOutput.js.map