"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Options_1 = require("./_Options");
var _FilterList_1 = require("./_FilterList");
var _TaskExecutionResultDetail_1 = require("./_TaskExecutionResultDetail");
exports.DescribeTaskExecutionOutput = {
    type: "structure",
    required: [],
    members: {
        TaskExecutionArn: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        Options: {
            shape: _Options_1._Options
        },
        Excludes: {
            shape: _FilterList_1._FilterList
        },
        Includes: {
            shape: _FilterList_1._FilterList
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        EstimatedFilesToTransfer: {
            shape: {
                type: "integer"
            }
        },
        EstimatedBytesToTransfer: {
            shape: {
                type: "integer"
            }
        },
        FilesTransferred: {
            shape: {
                type: "integer"
            }
        },
        BytesWritten: {
            shape: {
                type: "integer"
            }
        },
        BytesTransferred: {
            shape: {
                type: "integer"
            }
        },
        Result: {
            shape: _TaskExecutionResultDetail_1._TaskExecutionResultDetail
        }
    }
};
//# sourceMappingURL=DescribeTaskExecutionOutput.js.map