"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SourceNetworkInterfaceArns_1 = require("./_SourceNetworkInterfaceArns");
var _DestinationNetworkInterfaceArns_1 = require("./_DestinationNetworkInterfaceArns");
var _Options_1 = require("./_Options");
var _FilterList_1 = require("./_FilterList");
exports.DescribeTaskOutput = {
    type: "structure",
    required: [],
    members: {
        TaskArn: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CurrentTaskExecutionArn: {
            shape: {
                type: "string"
            }
        },
        SourceLocationArn: {
            shape: {
                type: "string"
            }
        },
        DestinationLocationArn: {
            shape: {
                type: "string"
            }
        },
        CloudWatchLogGroupArn: {
            shape: {
                type: "string"
            }
        },
        SourceNetworkInterfaceArns: {
            shape: _SourceNetworkInterfaceArns_1._SourceNetworkInterfaceArns
        },
        DestinationNetworkInterfaceArns: {
            shape: _DestinationNetworkInterfaceArns_1._DestinationNetworkInterfaceArns
        },
        Options: {
            shape: _Options_1._Options
        },
        Excludes: {
            shape: _FilterList_1._FilterList
        },
        ErrorCode: {
            shape: {
                type: "string"
            }
        },
        ErrorDetail: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=DescribeTaskOutput.js.map