"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Options_1 = require("./_Options");
var _FilterList_1 = require("./_FilterList");
exports.UpdateTaskInput = {
    type: "structure",
    required: ["TaskArn"],
    members: {
        TaskArn: {
            shape: {
                type: "string"
            }
        },
        Options: {
            shape: _Options_1._Options
        },
        Excludes: {
            shape: _FilterList_1._FilterList
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CloudWatchLogGroupArn: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=UpdateTaskInput.js.map