"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PLSubnetArnList_1 = require("./_PLSubnetArnList");
var _PLSecurityGroupArnList_1 = require("./_PLSecurityGroupArnList");
exports._PrivateLinkConfig = {
    type: "structure",
    required: [],
    members: {
        VpcEndpointId: {
            shape: {
                type: "string"
            }
        },
        PrivateLinkEndpoint: {
            shape: {
                type: "string",
                min: 7
            }
        },
        SubnetArns: {
            shape: _PLSubnetArnList_1._PLSubnetArnList
        },
        SecurityGroupArns: {
            shape: _PLSecurityGroupArnList_1._PLSecurityGroupArnList
        }
    }
};
//# sourceMappingURL=_PrivateLinkConfig.js.map